# This puppet manifest is used to configure Sweden Connect log collector servers

class eid::log (
) {

  ensure_resource('file','/etc/logrotate.d',{
    ensure => 'directory',
    mode   => '0755'
  })

  file {'/etc/logrotate.d/eidas_logs':
    ensure  => file,
    path    => '/etc/logrotate.d/eidas_logs',
    mode    => '0644',
    content => template('eid/log/eidas_logs.erb')
  }
}
